As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 774205 - java.lang.NullPointerException: at org.mozilla.gecko.GeckoInputConnection$<n>.run(GeckoInputConnection.java) on ICS and JB
: java.lang.NullPointerException: at org.mozilla.gecko.GeckoInputConnection$<n>...
Status: VERIFIED FIXED
[native-crash]
: crash, regression
Product: Firefox for Android
Classification: Client Software
Component: Graphics, Panning and Zooming (show other bugs)
: 15 Branch
: ARM Android
: -- critical (vote)
: Firefox 17
Assigned To: Kartikaya Gupta (email:kats@mozilla.com)
:
: Kartikaya Gupta (email:kats@mozilla.com)
Mentors:
Depends on: 777505
Blocks: 769269
  Show dependency treegraph
 
Reported: 2012-07-16 01:54 PDT by Scoobidiver (away)
Modified: 2016-07-29 14:26 PDT (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
+
verified
verified


Attachments
Guard against null layercontroller (8.70 KB, patch)
2012-07-23 07:19 PDT, Kartikaya Gupta (email:kats@mozilla.com)
cpeterson: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description User image Scoobidiver (away) 2012-07-16 01:54:15 PDT
It first appeared in 16.0a1/20120714. The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=6489be1890c0&tochange=0602e44ac248

java.lang.NullPointerException
	at org.mozilla.gecko.GeckoInputConnection$1.run(GeckoInputConnection.java:1011)
	at android.os.Handler.handleCallback(Handler.java:615)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:137)
	at android.app.ActivityThread.main(ActivityThread.java:4745)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:511)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:786)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
	at dalvik.system.NativeStart.main(Native Method)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NullPointerException%3A+at+org.mozilla.gecko.GeckoInputConnection%241.run%28GeckoInputConnection.java%29
Comment 1 User image Scoobidiver (away) 2012-07-16 02:02:15 PDT
It currently affect ICS and JB like bug 774206.
Comment 2 User image Brian Nicholson (:bnicholson) 2012-07-20 11:40:36 PDT
This is probably another NPE from "Don't keep activities" being on.
Comment 3 User image Kartikaya Gupta (email:kats@mozilla.com) 2012-07-23 07:19:59 PDT
Created attachment 644924 [details] [diff] [review]
Guard against null layercontroller

It looks like the code assumes getView() will always be non-null, except possibly in the postOnUiThread runnables. That seems reasonable to me, assuming that all the other invocations are directly on the UI thread and are coming while the view is alive and well.
Comment 4 User image Chris Peterson [:cpeterson] 2012-07-23 11:26:37 PDT
Comment on attachment 644924 [details] [diff] [review]
Guard against null layercontroller

Review of attachment 644924 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM
Comment 5 User image Kartikaya Gupta (email:kats@mozilla.com) 2012-07-23 11:54:21 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/727381afb1be
Comment 6 User image Ed Morley [:emorley] 2012-07-24 03:01:16 PDT
https://hg.mozilla.org/mozilla-central/rev/727381afb1be
Comment 7 User image Kartikaya Gupta (email:kats@mozilla.com) 2012-07-25 10:48:24 PDT
Comment on attachment 644924 [details] [diff] [review]
Guard against null layercontroller

[Approval Request Comment]
Bug caused by (feature/regressing bug #): exposed by bug 769269
User impact if declined: crash may happen if going to the awesomescreen while keyboard is up
Testing completed (on m-c, etc.): on m-c
Risk to taking this patch (and alternatives if risky): mobile only, low risk
String or UUID changes made by this patch: none
Comment 8 User image Scoobidiver (away) 2012-07-27 11:28:54 PDT
15.0b2 is affected while 15.0b1 wasn't.
Comment 9 User image Kartikaya Gupta (email:kats@mozilla.com) 2012-07-27 11:41:23 PDT
Comment on attachment 644924 [details] [diff] [review]
Guard against null layercontroller

Requesting for beta as well.
Comment 10 User image Alex Keybl [:akeybl] 2012-07-27 16:54:03 PDT
Comment on attachment 644924 [details] [diff] [review]
Guard against null layercontroller

[Triage Comment]
Low risk fix for a crash regression. Approved for Aurora 16 and Beta 15.
Comment 12 User image Cristian Nicolae (:xti) 2012-09-06 07:22:07 PDT
All latest crashes occurred (due to this crash report) on Firefox 15 Beta (2012-07-24), but there is no crash on Firefox 15 Release channel, 16 Beta or 17 Aurora.

Closing bug as verified fixed.

--
Device: Galaxy Note
OS: Android 4.0.4

Note You need to log in before you can comment on or make changes to this bug.